package com.hai.service;

import com.hai.entity.BsDistributionRebate;
import com.hai.entity.BsDistributionUserRel;

import java.util.List;
import java.util.Map;

/**
 * @serviceName BsDistributionUserRelService.java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description // 分销用户关联接口
 * @createTime 17:47 2022/8/11
 **/
public interface BsDistributionUserRelService {

    /**
    * @Author Sum1Dream
    * @name insertDistributionRebate.java
    * @Description // 新增关联关系
    * @Date 17:55 2022/8/11
    * @Param [java.lang.Long, java.lang.Long]
    * @return void
    */
    void insertDistributionRebate(Long userId , Long popularizeUserId , String regionId);

    /**
    * @Author Sum1Dream
    * @name getDistributionRebateList.java
    * @Description // 查询关联列表
    * @Date 17:51 2022/8/11
    * @Param [java.util.Map<java.lang.String,java.lang.Object>]
    * @return java.util.List<com.hai.entity.BsDistributionRebate>
    */
    List<BsDistributionUserRel> getDistributionUserRelList(Map<String, Object> map);

    /**
    * @Author Sum1Dream
    * @name findDistributionUserRel.java
    * @Description // 查询关联关系详情
    * @Date 18:00 2022/8/11
    * @Param [java.util.Map<java.lang.String,java.lang.Object>]
    * @return com.hai.entity.BsDistributionUserRel
    */
    BsDistributionUserRel findDistributionUserRel(Map<String, Object> map);
}
